import java.awt.*;
import java.applet.*;
import java.awt.event.*;
import dzzd.DzzD;
import dzzd.*;

/**
 * Demonstration applet for 3DzzD API : Web 3D Engine.
 * <br>
 * <br>
 * This class extends DzzDApplet.
 *  note this is absolutely not required but it provide 
 *  basic initialisation by creating a default renderer and 
 *  by implemting default Applet method implementation.
 * <br>
 * <br>
 * <u>Overview:</u>
 * The parent class DzzDApplet will create a main Render3D 
 * and add it to the Applet panel.<br>
 * It will call init3DzzD() just before starting the main Render3D thread.
 * It will call start3DzzD() just after starting the main Render3D thread.
 */
public final class DemoApplet extends DzzDApplet
{
	/**
	 * Called by DzzDApplet just before starting the main Render3D
	 */
	public void init3DzzD()
	{
		this.getRender3D().setRender3DCallBack(new MainIntro(this.getBaseURL()));
	}
	
	/**
	 * Called by DzzDApplet just after starting of the main Render3D
	 */
	public void start3DzzD()
	{
		
	}	
   
}
